%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}
%define svnrev r2115

Name:           python-ruledispatch
Version:        0.5a0
Release:        0.1.svn%{svnrev}%{?dist}
Summary:        A generic function package for Python

Group:          Development/Languages
License:        PSF or ZPL
URL:            http://www.turbogears.org/preview/download
Source0:        http://www.turbogears.org/preview/download/eggs/RuleDispatch-%{version}.dev-%{svnrev}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel python-setuptools >= 0.6a9
Requires:       python-protocols >= 1.0

%description
Rule-based Dispatching and Generic Functions.

%prep
%setup -q -n RuleDispatch-%{version}.dev-%{svnrev}
mv src/dispatch/*.txt .
chmod a-x *.txt

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc assembler.txt combiners.txt TODO.txt 
%{python_sitearch}/RuleDispatch-%{version}.dev_%{svnrev}-py%{pyver}.egg-info
%{python_sitearch}/dispatch/_speedups.so
%{python_sitearch}/dispatch/*.py
%{python_sitearch}/dispatch/*.pyc
%{python_sitearch}/dispatch/tests/*.py
%{python_sitearch}/dispatch/tests/*.pyc
%ghost %{python_sitearch}/dispatch/*.pyo
%ghost %{python_sitearch}/dispatch/tests/*.pyo

%changelog
* Thu Jul  6 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.1.svnr2115
- Use sitearch instead of sitelib in the files
- Remove python-abi requirement
- Ghost the .pyo files
- Add the URL

* Wed Apr 19 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5a0-0.svnr2115
- Intial RPM release
